PDA

View Full Version : [CLOSED] can not install v2.4



Fahd
Mar 03, 2014, 8:45 PM
Hi,
I am trying to install version 2.4 but keep getting the "Can not reference ext.dll" error message near the end. I am using the NuGet v. 2.8.50 in VS 2010
I copied and pasted the error details below:


Each package is licensed to you by its owner. Microsoft is not responsible for, nor does it grant any licenses to, third-party packages. Some packages may include dependencies which are governed by additional licenses. Follow the package source (feed) URL to determine any dependencies.

Package Manager Console Host Version 2.8.50126.400

Type 'get-help NuGet' to see all available NuGet commands.

PM> install-package ext.net
Attempting to resolve dependency 'Ext.NET.Utilities (≥ 2.3.0)'.
Attempting to resolve dependency 'Transformer.NET (≥ 2.1.1)'.
Attempting to resolve dependency 'Newtonsoft.Json (≥ 5.0.8)'.
Attempting to resolve dependency 'WebActivatorEx (≥ 2.0.3)'.
Attempting to resolve dependency 'Microsoft.Web.Infrastructure (≥ 1.0.0.0)'.
Installing 'Ext.NET.Utilities 2.3.0'.
You are downloading Ext.NET.Utilities from Ext.NET Inc., the license agreement to which is available at http://www.ext.net/licenseutilities/. Check the package for additional dependencies, which may come with their own license agreement(s). Your use of the package and dependencies constitutes your acceptance of their license agreements. If you do not accept the license agreement(s), then delete the relevant components from your device.
Successfully installed 'Ext.NET.Utilities 2.3.0'.
Installing 'Transformer.NET 2.1.1'.
You are downloading Transformer.NET from Ext.NET Inc., the license agreement to which is available at http://www.ext.net/licensetransformer/. Check the package for additional dependencies, which may come with their own license agreement(s). Your use of the package and dependencies constitutes your acceptance of their license agreements. If you do not accept the license agreement(s), then delete the relevant components from your device.
Successfully installed 'Transformer.NET 2.1.1'.
Installing 'Newtonsoft.Json 5.0.8'.
Successfully installed 'Newtonsoft.Json 5.0.8'.
Installing 'Microsoft.Web.Infrastructure 1.0.0.0'.
Successfully installed 'Microsoft.Web.Infrastructure 1.0.0.0'.
Installing 'WebActivatorEx 2.0.3'.
Successfully installed 'WebActivatorEx 2.0.3'.
Installing 'Ext.NET 2.4.0'.
You are downloading Ext.NET from Ext.NET Inc., the license agreement to which is available at http://www.ext.net/licensepro/. Check the package for additional dependencies, which may come with their own license agreement(s). Your use of the package and dependencies constitutes your acceptance of their license agreements. If you do not accept the license agreement(s), then delete the relevant components from your device.
Successfully installed 'Ext.NET 2.4.0'.
Adding 'Ext.NET.Utilities 2.3.0' to BuildNewExtDLLinNuget.
Successfully added 'Ext.NET.Utilities 2.3.0' to BuildNewExtDLLinNuget.
Adding 'Transformer.NET 2.1.1' to BuildNewExtDLLinNuget.
Successfully added 'Transformer.NET 2.1.1' to BuildNewExtDLLinNuget.
Adding 'Newtonsoft.Json 5.0.8' to BuildNewExtDLLinNuget.
Successfully added 'Newtonsoft.Json 5.0.8' to BuildNewExtDLLinNuget.
Adding 'Microsoft.Web.Infrastructure 1.0.0.0' to BuildNewExtDLLinNuget.
Successfully added 'Microsoft.Web.Infrastructure 1.0.0.0' to BuildNewExtDLLinNuget.
Adding 'WebActivatorEx 2.0.3' to BuildNewExtDLLinNuget.
Successfully added 'WebActivatorEx 2.0.3' to BuildNewExtDLLinNuget.
Adding 'Ext.NET 2.4.0' to BuildNewExtDLLinNuget.
Uninstalling 'Ext.NET 2.4.0'.
Successfully uninstalled 'Ext.NET 2.4.0'.
Uninstalling 'WebActivatorEx 2.0.3'.
Successfully uninstalled 'WebActivatorEx 2.0.3'.
Uninstalling 'Microsoft.Web.Infrastructure 1.0.0.0'.
Successfully uninstalled 'Microsoft.Web.Infrastructure 1.0.0.0'.
Uninstalling 'Newtonsoft.Json 5.0.8'.
Successfully uninstalled 'Newtonsoft.Json 5.0.8'.
Uninstalling 'Transformer.NET 2.1.1'.
Successfully uninstalled 'Transformer.NET 2.1.1'.
Uninstalling 'Ext.NET.Utilities 2.3.0'.
Successfully uninstalled 'Ext.NET.Utilities 2.3.0'.
Install failed. Rolling back...
Install-Package : Failed to add reference to 'Ext.Net'.
At line:1 char:16
+ install-package <<<< ext.net
+ CategoryInfo : NotSpecified: (:) [Install-Package], InvalidOperationException
+ FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PowerShell.Com mands.InstallPackageCommand

PM> install-package ext.net
Attempting to resolve dependency 'Ext.NET.Utilities (≥ 2.3.0)'.
Attempting to resolve dependency 'Transformer.NET (≥ 2.1.1)'.
Attempting to resolve dependency 'Newtonsoft.Json (≥ 5.0.8)'.
Attempting to resolve dependency 'WebActivatorEx (≥ 2.0.3)'.
Attempting to resolve dependency 'Microsoft.Web.Infrastructure (≥ 1.0.0.0)'.
Installing 'Ext.NET.Utilities 2.3.0'.
You are downloading Ext.NET.Utilities from Ext.NET Inc., the license agreement to which is available at http://www.ext.net/licenseutilities/. Check the package for additional dependencies, which may come with their own license agreement(s). Your use of the package and dependencies constitutes your acceptance of their license agreements. If you do not accept the license agreement(s), then delete the relevant components from your device.
Successfully installed 'Ext.NET.Utilities 2.3.0'.
Installing 'Transformer.NET 2.1.1'.
You are downloading Transformer.NET from Ext.NET Inc., the license agreement to which is available at http://www.ext.net/licensetransformer/. Check the package for additional dependencies, which may come with their own license agreement(s). Your use of the package and dependencies constitutes your acceptance of their license agreements. If you do not accept the license agreement(s), then delete the relevant components from your device.
Successfully installed 'Transformer.NET 2.1.1'.
Installing 'Newtonsoft.Json 5.0.8'.
Successfully installed 'Newtonsoft.Json 5.0.8'.
Installing 'Microsoft.Web.Infrastructure 1.0.0.0'.
Successfully installed 'Microsoft.Web.Infrastructure 1.0.0.0'.
Installing 'WebActivatorEx 2.0.3'.
Successfully installed 'WebActivatorEx 2.0.3'.
Installing 'Ext.NET 2.4.0'.
You are downloading Ext.NET from Ext.NET Inc., the license agreement to which is available at http://www.ext.net/licensepro/. Check the package for additional dependencies, which may come with their own license agreement(s). Your use of the package and dependencies constitutes your acceptance of their license agreements. If you do not accept the license agreement(s), then delete the relevant components from your device.
Successfully installed 'Ext.NET 2.4.0'.
Adding 'Ext.NET.Utilities 2.3.0' to BuildNewExtDLLinNuget.
Successfully added 'Ext.NET.Utilities 2.3.0' to BuildNewExtDLLinNuget.
Adding 'Transformer.NET 2.1.1' to BuildNewExtDLLinNuget.
Successfully added 'Transformer.NET 2.1.1' to BuildNewExtDLLinNuget.
Adding 'Newtonsoft.Json 5.0.8' to BuildNewExtDLLinNuget.
Successfully added 'Newtonsoft.Json 5.0.8' to BuildNewExtDLLinNuget.
Adding 'Microsoft.Web.Infrastructure 1.0.0.0' to BuildNewExtDLLinNuget.
Successfully added 'Microsoft.Web.Infrastructure 1.0.0.0' to BuildNewExtDLLinNuget.
Adding 'WebActivatorEx 2.0.3' to BuildNewExtDLLinNuget.
Successfully added 'WebActivatorEx 2.0.3' to BuildNewExtDLLinNuget.
Adding 'Ext.NET 2.4.0' to BuildNewExtDLLinNuget.
Uninstalling 'Ext.NET 2.4.0'.
Successfully uninstalled 'Ext.NET 2.4.0'.
Uninstalling 'WebActivatorEx 2.0.3'.
Successfully uninstalled 'WebActivatorEx 2.0.3'.
Uninstalling 'Microsoft.Web.Infrastructure 1.0.0.0'.
Successfully uninstalled 'Microsoft.Web.Infrastructure 1.0.0.0'.
Uninstalling 'Newtonsoft.Json 5.0.8'.
Successfully uninstalled 'Newtonsoft.Json 5.0.8'.
Uninstalling 'Transformer.NET 2.1.1'.
Successfully uninstalled 'Transformer.NET 2.1.1'.
Uninstalling 'Ext.NET.Utilities 2.3.0'.
Successfully uninstalled 'Ext.NET.Utilities 2.3.0'.
Install failed. Rolling back...
Install-Package : Failed to add reference to 'Ext.Net'.
At line:1 char:16
+ install-package <<<< ext.net
+ CategoryInfo : NotSpecified: (:) [Install-Package], InvalidOperationException
+ FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PowerShell.Com mands.InstallPackageCommand

PM>



Can you please advise? Thank you very much for your help!!

geoffrey.mcgill
Mar 04, 2014, 1:53 AM
Maybe try to uninstall Ext.NET, then re-install.

As well, please ensure you're using the latest version of NuGet.

Fahd
Mar 04, 2014, 3:57 PM
How do I unintall EXT.? I was using a new project that did not have any Ext. previousely installed in it. I was trying to install EXT 2.4 in the new project. I am using the latest version of NuGet which is 2.8.50126.400.

I also tried to get the files the same way as I did last year which is to use TortoiseSVN by going to http://svn.ext.net/premium/branches/2.4
However, the did not see any builds for version 2.4. on the SVN site. Is there a different URL for version 2.4?

Thanks!


Maybe try to uninstall Ext.NET, then re-install.

As well, please ensure you're using the latest version of NuGet.

Daniil
Mar 05, 2014, 4:10 AM
The NuGet log that you posted looks weird. It seems to install Ext.NET successfully, then uninstall it immediately. Though, maybe, I misunderstand something.

I just tried the following

Install-Package Ext.NET -version 2.4
in Visual Studio and it worked well for me.

I used "-version 2.4" because there is already the v2.5 release. The NuGet installs the latest version by default.

Could you try again, please?

Install-Package Ext.NET

Maybe, it will be OK for you with the v2.5 release.

Fahd
Mar 05, 2014, 7:42 PM
Thank you for the help! I was able to install version 2.5


The NuGet log that you posted looks weird. It seems to install Ext.NET successfully, then uninstall it immediately. Though,
maybe, I misunderstand something.

I just tried the following

Install-Package Ext.NET -version 2.4
in Visual Studio and it worked well for me.

I used "-version 2.4" because there is already the v2.5 release. The NuGet installs the latest version by default.

Could you try again, please?

Install-Package Ext.NET

Maybe, it will be OK for you with the v2.5 release.